Highlighted
Active Level 3
This app  details in play store is showing "This app is not compatible with your device. Contact developer"My phone in galaxy j7  2016 ,model is
 sm j710FN.android 8.1
1 Comment
Highlighted
Expert Level 1
It's preinstalled in my J7 nxt, but I uninstalled all updates bcoz I dont use this app
Reply
Loading...